

fs/nfsd/nfs4callback.c: In function `nfsd4_probe_callback':
fs/nfsd/nfs4callback.c:247: warning: field width is not type int (arg 2)
fs/nfsd/nfs4callback.c: In function `nfs4_cb_null':
fs/nfsd/nfs4callback.c:262: warning: field width is not type int (arg 2)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4callback.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/nfsd/nfs4callback.c~knfsd-preparation-for-delegation-client-callback-probe-warning-fixes fs/nfsd/nfs4callback.c
--- 25/fs/nfsd/nfs4callback.c~knfsd-preparation-for-delegation-client-callback-probe-warning-fixes	2004-12-20 16:08:05.246377816 -0800
+++ 25-akpm/fs/nfsd/nfs4callback.c	2004-12-20 16:08:16.902605800 -0800
@@ -244,7 +244,7 @@ out_xprt:
 	xprt_destroy(xprt);
 out_err:
 	dprintk("NFSD: warning: no callback path to client %.*s\n",
-		clp->cl_name.len, clp->cl_name.data);
+		(int)clp->cl_name.len, clp->cl_name.data);
 	cb->cb_client = NULL;
 }
 
@@ -259,7 +259,7 @@ nfs4_cb_null(struct rpc_task *task)
 
 	if (task->tk_status < 0) {
 		dprintk("NFSD: callback establishment to client %.*s failed\n",
-			clp->cl_name.len, clp->cl_name.data);
+			(int)clp->cl_name.len, clp->cl_name.data);
 		goto out;
 	}
 	atomic_set(&cb->cb_set, 1);
_
